#include "pairs.hh"

Level Gutsman =
{
	5, // level number
	"Gutsman",

	// screens:
	{
		{
		"          ......"   "                "
		"          ......"   "                "
		"            ..  "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"              ##"   "                "
		"              ##"   "             m  "
		"   ,,,,     ####"   "                "
		"  ,,,,,,    ####"   "        Y       "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,LevelBegin| Right},
		{
		"...        ....."   "                "
		"..          ...."   "                "
		"            ...."   "                "
		"            ...."   "                "
		"        ######.*"   "                "
		"        ######.."   "       m        "
		"    ##########.."   "                "
		"    ##########.."   "   m            "
		"##############.."   "                "
		"##############.."   "                "
		"##############.."   "                "
		"##############.."   "                "
		"##############.."   "                "
		"##############.."   "                "
		"##############.."   "                "
		"##############.."   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"----------------"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		".......*------/-"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"...............*"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"*..............."   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"------/-*......."   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"---/---/---/---/"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		".............   "   "                "
		"............    "   "                "
		"............    "   "                "
		"............    "   "                "
		"...........     "   "                "
		"..........      "   "                "
		"..........      "   "                "
		"..........      "   "                "
		".........       "   "                "
		".........       "   "                "
		"---/-*... ######"   "                "
		"......... ######"   "                "
		"......... ######"   "                "
		"......... ######"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"          ......"   "                "
		"          ......"   "                "
		"            ..  "   "                "
		"                "   "                "
		"                "   "      y         "
		"                "   "           y    "
		"                "   "                "
		"                "   "                "
		"              ##"   "          y     "
		"              ##"   "                "
		"   ,,,,     ####"   "                "
		"  ,,,,,,    ####"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"...             "   "                "
		"..              "   "                "
		"                "   "                "
		"                "   "                "
		"      ##      ##"   "                "
		"      ##      ##"   "                "
		"    ######  ####"   "                "
		"    ######  ####"   "           E    "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"          ......"   "                "
		"          ......"   "                "
		"            ..  "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"              ##"   "            a   "
		"              ##"   "                "
		"   ,,,,     ####"   "                "
		"  ,,,,,,    ####"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"   ............."   "                "
		"   ............."   "                "
		"   ............."   "       a        "
		"   ............."   "                "
		"    ............"   "                "
		"    ............"   "                "
		"###########..##."   "                "
		"#,  .X...X...X.."   "                "
		"#,  .X...X...X.."   "                "
		"#,  .X...X...X.."   "                "
		"#,  .X...X...X.."   "                "
		"#,  .X...X...X.."   "                "
		"#,  .X...X...X.."   "                "
		"#,  .X...X...X.."   "                "
		, 1 // monster graphics index
		,Right},
		{
		"..............&#"   "                "
		"..............&#"   "                "
		"..............&#"   "                "
		"..............&#"   "                "
		"..............&#"   "a            a  "
		"..............&#"   "                "
		"..............&#"   "                "
		"..............&#"   "                "
		"..##########..&#"   "                "
		"...X.X...##&..&#"   "                "
		"...X.X...##&&.&#"   "                "
		"...X.X...##&..&#"   "                "
		"...X.X...##&..&#"   "                "
		"^^^X^X^^^##&..&#"   "                "
		"###########&.&&#"   "                "
		"###########&..&#"   "                "
		, 1 // monster graphics index
		,Down},
		{
		"#&............&#"   "                "
		"#&............&#"   "                "
		"#&............&#"   "                "
		"#&............&#"   "                "
		"#&............&#"   "                "
		"#&............&#"   "        Y       "
		"#&....&&......&#"   "                "
		"##&&..&&......&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "              y "
		, 0 // monster graphics index
		,Down| RestartPointA},
		{
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"##&&..&&..&&..&#"   "                "
		"#&............&#"   "                "
		"#&............&#"   "           E    "
		"#&........&&..&#"   "                "
		"#&........&&..&#"   "  ee            "
		"##&&......&&..&#"   "                "
		"##&&......&&..&#"   "       p        "
		"##&&..&&......&#"   "                "
		"##&&^^&&......&#"   "                "
		"#####&&&..&&..&#"   "                "
		"#####&&&..&&..&#"   "                "
		"#####&&&..&&..&#"   "                "
		"#####&&&..&&..&#"   "              y "
		, 0 // monster graphics index
		,Down},
		{
		"#####&&&..&&..&#"   "                "
		"#####&&&..&&..&#"   "                "
		"#&............&#"   "                "
		"#&............&#"   "                "
		"#&....&&......&#"   "                "
		"#&....&&......&#"   "   U            "
		"##&&..&&......&#"   "                "
		"##&&..&&......&#"   "                "
		"##&&..&&......&#"   "                "
		"##&&..&&......&#"   "                "
		"##&&..........&#"   "                "
		"##&&........^^&#"   "          e     "
		"##&&..##########"   "                "
		"##&&..##########"   "                "
		"##&&..##########"   "                "
		"##&&..##########"   "                "
		, 0 // monster graphics index
		,Down},
		{
		"##&&............"   "                "
		"##&&............"   "                "
		"##&&............"   "                "
		"##&&............"   "                "
		"##&&.........   "   "                "
		"##&&........    "   "                "
		"####.......     "   "                "
		"####.......     "   "                "
		"########..      "   "                "
		"########..      "   "                "
		"############    "   "              t "
		"############    "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 2 // monster graphics index
		,Right},
		{
		".....        ###"   "                "
		"....         ###"   "                "
		"....         ###"   "                "
		"....         ###"   "                "
		"             ###"   "                "
		"             ###"   "                "
		"              DD"   "              SS"
		"              DD"   "              SS"
		"              DD"   "              SS"
		"              DD"   "              SS"
		"   ,,,,   ######"   "                "
		"  ,,,,,,  ######"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 2 // monster graphics index
		,Shutter},
		{
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		"################"   "                "
		"################"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "        Y     m "
		"################"   "                "
		"################"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		, 1 // monster graphics index
		,RestartPointB| Right},
		{
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		"################"   "                "
		"################"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "        m       "
		"################"   "                "
		"################"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		, 1 // monster graphics index
		,Right},
		{
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		"################"   "                "
		"################"   "                "
		",,,,,,,,,,,,,,,D"   "               S"
		",,,,,,,,,,,,,,,D"   "               S"
		",,,,,,,,,,,,,,,D"   "               S"
		",,,,,,,,,,,,,,,D"   "  m        m   S"
		"################"   "                "
		"################"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		, 1 // monster graphics index
		,Shutter},
		{
		"&,,,,,,,,,,,,,,&"   "                "
		"&,,,,,,,,,,,,,,&"   "                "
		"&,,,,,,,,,,,,,,&"   "                "
		"&,,,,,,,,,,,,,,&"   "                "
		"&,,,,,,,,,,,,,,&"   "                "
		"&,,,,,,,,,,,,,,&"   "                "
		",,,,,,,,,,,,,,,&"   "                "
		",,,,,,,,,,,,,,,&"   "                "
		",,,,,,,,,,,,,,,&"   "                "
		",,,,,,,,,,,,,,,&"   "                "
		"##GGGG,,,,,,,,,&"   "                "
		"##GGGG,,,,,,,,,&"   "            !   "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 3 // monster graphics index
		,End},
	},

	// palette
	{
		15, 38, 23,  7, 
		15, 48, 16,  2, 
		15, 38, 23,  2, 
		15, 55, 39, 23, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 48, 42, 15, 
		15, 48, 39, 15, 

		15, 48, 32, 16, 
		15, 48, 16,  2, 
		15, 38, 23,  2, 
		15, 55, 39, 23, 
	},

	// after doors palette
	{
		15, 38, 23,  7, 
		15, 48, 16,  2, 
		15, 38, 23,  2, 
		15, 55, 39, 23, 

	},

	// actives
	{
	},

	// enemies
	{
		Enemy( 0, 0x80,0xFF, 0x2C ),
		Enemy( 0, 0xF8,0x80, 0x30 ),
		Enemy( 1, 0xFC,0x80, 0x2F ),
		Enemy( 4, 0x58,0x80, 0x2F ),
		Enemy( 5, 0x01,0x08, 0xFF ),
		Enemy( 5, 0x40,0x0A, 0xFF ),
		Enemy( 5, 0x60,0x80, 0x30 ),
		Enemy( 6, 0x10,0x04, 0xFF ),
		Enemy( 6, 0x50,0x06, 0xFF ),
	},

	// level gfx (id, count) (max 15); id is block*4+bank
	{
		{ 0x40, 8 }, { 0x6E, 1 }, { 0xAE, 2 }, { 0x8E, 1 }, 
		{ 0x6A, 1 }, { 0xE2, 1 }, { 0xD8, 1 }, { 0x5E, 1 }, 
		{ 0xC0, 8 }, { 0xE1, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0x6E, 0xAE, 0xB2, 0xAE, 0x6A, }, { 48,42,15, 48,39,15,} },
		{ { 0x82, 0xA2, 0xA6, 0xAE, 0x6A, }, { 48,42,15, 48,39,15,} },
		{ { 0x6E, 0xC2, 0xC6, 0x66, 0x6A, }, { 48,17,15, 48,39,15,} },
		{ { 0x70, 0x74, 0x78, 0x7C, 0xF9, }, { 39,21,15, 55,39,23,} },
	},

	0x00, // Arrival input

	GutsmanAscii, GutsmanChar
};
